"use strict";
cc._RFpush(module, '280c3rsZJJKnZ9RqbALVwtK', 'HelloWorld');
// Script/HelloWorld.js

cc.Class({
    'extends': cc.Component,

    properties: {
        cardPrefab: cc.Prefab
    },

    // use this for initialization
    onLoad: function onLoad() {
        var that = this;
        var tPrefab = cc.instantiate(that.cardPrefab);
        tPrefab.parent = this.node;
        tPrefab.setPosition(-210, 100);

        this.node.on(cc.Node.EventType.TOUCH_START, function (event) {
            console.info('xxx');
            console.info('onTouchBegan');
            var action = cc.moveTo(0.1, 0, 20);

            tPrefab.runAction(action);
            event.stopPropagation();
        }, this);

        var tPrefab2 = cc.instantiate(that.cardPrefab);
        tPrefab2.parent = this.node;
        tPrefab2.setPosition(-210, 10);
    },

    // called every frame
    update: function update(dt) {}
});

cc._RFpop();